DNF5-DO(8)

BEZEICHNUNG
dnf5-do - Do-Befehl

ÜBERSICHT

dnf5 do [Optionen] [Argumente]

BESCHREIBUNG

Der Befehl do ist ein universeller Befehl für die Paketverwaltung in DNF5. Er ermöglicht es dem Benutzer, mehrere Aktionen zu definieren (install, remove, upgrade, downgrade und reinstall).

Im Gegensatz zu einer Reihe spezifischer Befehle (install, remove, upgrade, downgrade und reinstall) verarbeitet der Befehl do alle angeforderten Aktionen zusammen und führt sie in einer einzigen Transaktion aus. Dies vereinfacht komplexe Vorgänge und macht sie effizienter.

Ein weiterer Unterschied besteht darin, dass der Befehl do die explizite Angabe von Objekttypen in der Transaktion ermöglicht: package, group oder auto. Beim Typ group kann angegeben werden, ob eine Gruppen-ID oder ein Gruppenname verwendet wird. Standardmäßig ist der Typ auto aktiv. In diesem Modus verhält sich der Befehl do wie andere Befehle und leitet den Objekttyp aus dessen Angabe ab. Beginnt eine Angabe beispielsweise mit dem Zeichen @, wird sie als Gruppen-ID oder als Modul behandelt.

Einzelne Aktionen und Objekttypen werden durch Optionen festgelegt und sind miteinander kombinierbar.

Die anderen Optionen haben dieselbe Bedeutung und Verwendung wie bei den Befehlen (install, remove, upgrade, downgrade und reinstall). Ausnahmen bilden die Optionen --installed-from-repo und --from-repo. Obwohl sie dieselbe Bedeutung haben, gelten sie nur für die Pakete, die ihnen in der Befehlszeile folgen. Außerdem können sie mit unterschiedlichen Werten mehrfach angegeben werden.

OPTIONEN

    --action
        gibt die mit den folgenden Elementen auszuführende Aktion an.

        Dies ist eine zwingend erforderliche Option, die den Transaktionselementen vorangestellt werden muss. Der Befehl do leitet aus dieser Information ab, welche Aktion mit den angegebenen Elementen ausgeführt werden soll. Unterstützt werden: install, remove, upgrade, downgrade, reinstall.

    --type
        gibt den Typ der folgenden Elemente an.

        Folgende werden unterstützt: auto, package, group. auto ist die Vorgabe, bis die Option type verwendet wird.

    --allowerasing
        erlaubt das Entfernen installierter Pakete, um potenzielle Abhängigkeitsprobleme zu lösen.

    --skip-broken
        behebt etwaige Abhängigkeitsprobleme, indem Pakete, die Probleme verursachen, aus der Transaktion entfernt werden.

    --skip-unavailable
        ermöglicht das Überspringen von Paketen, die in den Paketquellen nicht verfügbar sind. Alle verfügbaren Pakete werden installiert.

    --allow-downgrade
        aktiviert das Herunterstufen von Abhängigkeiten beim Auflösen der angeforderten Aktion.

    --no-allow-downgrade
        deaktiviert das Herunterstufen von Abhängigkeiten beim Auflösen der angeforderten Aktion.

    --installed-from=PAKETQUELLEN-ID, …
        filtert installierte Pakete nach der ID der Paketquelle, aus der sie installiert wurden.

    --from-repo=PAKETQUELLEN-ID, …
        sucht Pakete (oder deren Bereitstellungen), die explizit in der Befehlszeile angegeben werden, nur in den angegebenen Paketquellen. Diese Paketquellen sind automatisch aktiviert. Die Aktivierung und Deaktivierung von Paketquellen wird weiterhin berücksichtigt. Abhängigkeiten dieser Pakete werden aus jeder aktivierten Paketquelle aufgelöst.

    --from-vendor=ANBIETER, …
        zeigt eine Liste der Anbieter an, getrennt durch Kommata oder Leerraum. Glob-Muster werden unterstützt (zum Beispiel --from-vendor='Fedora\ project, AnbieterA, AnbieterB*, AnbieterC')). Pakete (oder deren Provides), die explizit in der Befehlszeile angegeben werden, werden nur von den angegebenen Anbietern bezogen. Die Anbieteränderungsprüfung ist für diese Pakete auf bypassed gesetzt. Der Anbieter wird ignoriert, oder die Anbieteränderungsrichtlinien (falls allow_vendor_change=0) werden weiterhin für Pakete angewendet, die Abhängigkeiten erfüllen.

    --downloadonly
        lädt den nach Auflösung der Abhängigkeiten ermittelten Paketsatz herunter, ohne eine RPM-Transaktion auszuführen.

    --offline
        speichert die Transaktion, um sie ohne Netzverbindung ausführen zu können. Siehe dnf5-offline(8), Offline-Befehl.

    --advisories=HINWEISNAME, …
        schließt Inhalte aus Hinweisen mit dem angegebenen Namen ein. Dies ist eine Listenoption. Erwartete Werte sind Hinweis-IDs, z. B. FEDORA-2201-123. Jeder Transaktionsbefehl (Installation, Aktualisierung) schlägt mit einer Fehlermeldung fehl, wenn kein Hinweis in der Liste vorhanden ist. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

    --advisory-severities=HINWEIS-SCHWEREGRAD, …
        schließt Inhalte aus Hinweisen mit dem angegebenem Schweregrad ein. Dies ist eine Listenoption. Zulässige Werte: critical, important, moderate, low, none.

    --bzs=BUGZILLA_ID, …
        schließt Inhalte in Hinweisen ein, die ein Ticket der angegebenen Bugzilla-ID korrigieren. Dies ist eine Listenoption. Erwartete Werte sind numerische IDs, zum Beispiel 123123. Jeder Transaktionsbefehl (Installation, Aktualisierung) wird mit einer Fehlermeldung fehlschlagen, falls es keinen Hinweis gibt, der das angegebene Ticket korrigiert. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

    --cves=CVE_ID, …
        schließt Inhalte in Hinweisen ein, die ein Ticket mit der angegebenen CVE-ID (Common Vulnerabilities and Exposures) beheben. Dies ist eine Listenoption. Erwartete Werte sind Zeichenketten-IDs im CVE-Format, z.B. CVE-2201-0123. Alle Transaktionsbefehle (Installation, Aktualisierung) schlagen mit einer Fehlermeldung fehl, wenn kein Hinweis zur Korrektur des betreffenden Tickets vorliegt. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

    --security
        schließt Inhalte ein, die in Sicherheitshinweisen enthalten sind.

    --bugfix
        schließt Inhalte ein, die in Fehlerkorrektur-Hinweisen enthalten sind.

    --enhancement
        schließt Inhalte ein, die in Verbesserungs-Hinweisen enthalten sind.

    --newpackage
        schließt Inhalte ein, die in Neupaket-Hinweisen enthalten sind.

BEISPIELE

    dnf5 do --action=install tito
        Installiert das Paket tito.

    dnf5 do --action=remove sddm-wayland-plasma --action=install sddm-x11
        Ersetzt das Paket sddm-wayland-plasma durch sddm-x11.

    dnf5 do --action=install --type=group id=office 'name=Games and Entertainment' --type=package iftop --action=remove atop
        Installiert die Gruppe office (über deren ID), die Gruppe Games and Entertainment (über deren Namen) und das Paket iftop und entfernt das Paket atop.

    dnf5 do --action=install Paket --from-repo=meinequelle1 Paket1 --from-repo=meinequelle2 Paket2 --action=remove --installed-from-repo=kompromittierte_quelle '*'
        Installiert das angegebene Paket aus einer beliebigen aktivierten Paketquelle sowie das Paket1 aus der Paketquelle meinequelle1 und das Paket2 aus der Paketquelle meinequelle2. Die Abhängigkeiten für diese Pakete werden aus einer beliebigen aktivierten Paketquelle installiert. Außerdem werden alle Pakete entfernt, die aus der Paketquelle kompromittierte_quelle installiert wurden.

SIEHE AUCH
        dnf5-install(8), Install-Befehl
        dnf5-remove(8), Remove-Befehl
        dnf5-upgrade(8), Upgrade-Befehl
        dnf5-downgrade(8), Downgrade-Befehl
        dnf5-reinstall(8), Reinstall-Befehl
        dnf5-advisory(8), Advisory-Befehl
        dnf5-specs(7), Muster-Spezifikation

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).